IF OBJECT_ID('[ConfigurationFiles_Extended]') IS NOT NULL DROP VIEW [ConfigurationFiles_Extended]
GO

CREATE VIEW [ConfigurationFiles_Extended] AS

SELECT C.[ConfigurationFile_Id]

      ,C.[Deployable_Id]
      ,C.[FilePath_Text]
	  ,C.[ConfigurationFile_Name]
	  ,C.[Description_Text]
      ,C.[Application_Id]
      ,C.[Active_Indicator]
      ,C.[CreatedBy_User_Name]
      ,C.[CreatedOn_Date]
      ,C.[ModifiedBy_User_Name]
      ,C.[ModifiedOn_Date]

      ,D.[Deployable_Name]

      ,[LatestDeployment_ConfigurationFileDeployment_Id] = CFD.[ConfigurationFileDeployment_Id]
      ,[LatestDeployment_Execution_Id] = CFD.[Execution_Id]
      ,[LatestDeployment_Instance_Name] = CFD.[Instance_Name]
      ,[LatestDeployment_Version_Number] = CFD.[Version_Number]
      ,[LatestDeployment_Server_Id] = CFD.[Server_Id]
      ,[LatestDeployment_DeployedTo_Path]= CFD.[DeployedTo_Path]
      ,[LatestDeployment_DeployedBy_User_Name] = CFD.[DeployedBy_User_Name]
      ,[LatestDeployment_DeployedOn_Date] = CFD.[DeployedOn_Date]
      ,[LatestDeployment_Server_Name] = S_CFD.[Server_Name]
  
      ,CFV.[Instance_Name]  [LatestVersion_Instance_Name]
      ,CFV.[Version_Number]  [LatestVersion_Version_Number]
      ,CFV.[VersionNotes_Text]  [LatestVersion_VersionNotes_Text]
      ,CFV.[File_Date]  [LatestVersion_File_Date]
      ,CFV.[CreatedBy_User_Name]  [LatestVersionCreatedBy_User_Name]
      ,CFV.[CreatedOn_Date]  [LatestVersionCreatedOn_Date]

 FROM [ConfigurationFiles] C
        LEFT JOIN [Deployables] D
               ON C.[Deployable_Id] = D.[Deployable_Id]
        LEFT JOIN (SELECT [ConfigurationFile_Id]
                         ,MAX([ConfigurationFileDeployment_Id]) [ConfigurationFileDeployment_Id]
                     FROM [ConfigurationFileDeployments] _CFD
                    GROUP BY [ConfigurationFile_Id]) CFD_MAX
               ON CFD_MAX.[ConfigurationFile_Id]  = C.[ConfigurationFile_Id] 
        LEFT JOIN [ConfigurationFileDeployments] CFD
               ON CFD.[ConfigurationFileDeployment_Id]= CFD_MAX.[ConfigurationFileDeployment_Id]
        LEFT JOIN [Servers] S_CFD
               ON S_CFD.[Server_Id] = CFD.[Server_Id]
  
        LEFT JOIN (SELECT ROW_NUMBER() OVER (PARTITION BY [ConfigurationFile_Id] 
                                                 ORDER BY [File_Date] DESC) [Row_Number],
                          [ConfigurationFile_Id], [Instance_Name], [Version_Number]
                     FROM [ConfigurationFileVersions]) CFV_MAX
               ON CFV_MAX.[ConfigurationFile_Id] = C.[ConfigurationFile_Id]
              AND CFV_MAX.[Row_Number] = 1
        LEFT JOIN [ConfigurationFileVersions] CFV
               ON CFV.[ConfigurationFile_Id] = CFV_MAX.[ConfigurationFile_Id]
              AND CFV.[Instance_Name] = CFV_MAX.[Instance_Name]
              AND CFV.[Version_Number] = CFV_MAX.[Version_Number]
GO
