IF OBJECT_ID('[ManualActionsInProgress_Extended]') IS NOT NULL DROP VIEW [ManualActionsInProgress_Extended]
GO

CREATE VIEW [ManualActionsInProgress_Extended] AS
	SELECT A.[Application_Id],
		   A.[Application_Name],
		   R.[Release_Id],
 	       R.[Release_Number],
 	       [Release_Name] = COALESCE(R.[Release_Name], R.[Release_Number]),
		   B.[Build_Id],
 	       B.[Build_Number],
 	       BE.[Execution_Id],
	       [ActionComplete_Indicator] = CASE WHEN MAIP.[CompletedBy_User_Name] IS NULL THEN 'N' ELSE 'Y' END,
		   MAIP.[AssignedTo_Principal_Name],
		   MAIP.[CompletedBy_User_Name],
		   MAIP.[Task_Name],
		   MAIP.[Task_Description],
	       MAIP.[ActionStarted_Date],
		   MAIP.[ManualAction_Sequence],
		   [ExecutionStart_Date] = X.[Start_Date]
	  FROM [ManualActionsInProgress] MAIP
	       INNER JOIN [PipelineStageTargetExecutions] BE
	               ON BE.[Execution_Id] = MAIP.[Execution_Id]
		   INNER JOIN [Executions] X
		           ON X.[Execution_Id] = BE.[Execution_Id]
		   INNER JOIN [BuildPromotions] BP
		           ON BP.[Promotion_Id] = BE.[Promotion_Id]
		   INNER JOIN [Builds] B
		           ON B.[Build_Id] = BP.[Build_Id]
		    LEFT JOIN [Releases] R
		           ON R.[Release_Id] = B.[Release_Id]
	        LEFT JOIN [Applications] A
		           ON A.[Application_Id] = B.[Application_Id]
