IF OBJECT_ID('[ReleaseNotes_Extended]') IS NOT NULL DROP VIEW [ReleaseNotes_Extended]
GO

CREATE VIEW [ReleaseNotes_Extended]
AS

SELECT A.[Application_Id],
       A.[Application_Name],
	   RN.[Release_Id],
       R.[Release_Number],
	   R.[Release_Name],
	   B.[Build_Id],
	   B.[Build_Number],
	   RN.[ReleaseNote_Sequence],
	   RN.[Notes_Text],
	   RN.[CreatedOn_Date],
	   RN.[CreatedBy_User_Name],
	   RN.[ModifiedOn_Date],
	   RN.[ModifiedBy_User_Name]
  FROM [ReleaseNotes] RN
       INNER JOIN [Releases] R
	           ON R.[Release_Id] = RN.[Release_Id]
	   INNER JOIN [Applications] A
	           ON A.[Application_Id] = R.[Application_Id]
	    LEFT JOIN [Builds] B
		       ON B.[Build_Id] = RN.[Build_Id]