EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Artifacts_GetArtifact',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'BuildArtifacts_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets an artifact based on the specified criteria.'
GO


IF OBJECT_ID('[Artifacts_GetArtifact]') IS NOT NULL DROP PROCEDURE [Artifacts_GetArtifact]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Artifacts_GetArtifact]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER,
	@Build_Number BUILDNUMBER,
	@Artifact_Name VARCHAR(50)
)
AS
BEGIN

	SELECT *
	  FROM [BuildArtifacts_Extended]
     WHERE ([Application_Id] = @Application_Id OR ([Application_Id] IS NULL AND @Application_Id IS NULL))
       AND ([Release_Number] = @Release_Number OR ([Release_Number] IS NULL AND @Release_Number IS NULL))
       AND [Build_Number] = @Build_Number
       AND [Artifact_Name] = @Artifact_Name

END
GO

GRANT EXECUTE ON [Artifacts_GetArtifact] TO [BuildMasterUser_Role]
